%define name	draksync
%define version	8.0
%define date	20020314
%define release 17mdk

Summary:	Graphical tool for directory synchronization
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	DrakSync_src_%{date}.tar.bz2
License:	GPL
Group:		File tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	expect
Requires:	pygtk
Requires:	rsync >= 2.5.4-2mdk
Requires:	openssh-clients
Requires:	drakxtools >= 1.1.7-9mdk
BuildRequires:	python >= 2.0
BuildRequires:	pygtk

%description
DrakSync is a graphical tool for synchronizing directories on different
machines. It was first designed to be a front-end to Rsync and SSH/RSH
but it now has support for built-in FTP synchronization.

%prep

%setup -q -n DrakSync-%{version}

%build
%make

%post
%{update_menus}

%postun
%{clean_menus}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall prefix=$RPM_BUILD_ROOT/%{_prefix} libdir=$RPM_BUILD_ROOT/%{_libdir}/DrakSync

install -d -m 755 $RPM_BUILD_ROOT/%{_libdir}/menu
install -d -m 755 $RPM_BUILD_ROOT/%{_iconsdir}/mini
install -d -m 755 $RPM_BUILD_ROOT/%{_iconsdir}/large

install -m 644 menu-entry $RPM_BUILD_ROOT/%{_menudir}/%{name}
install -m 644 icons/menu-icon.32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
install -m 644 icons/menu-icon.48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
install -m 644 icons/menu-icon.16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
#
%dir %{_libdir}/DrakSync
#
%dir %{_libdir}/DrakSync/commands
%{_libdir}/DrakSync/commands/unsetlang
%{_libdir}/DrakSync/commands/*.exp
#
%dir %{_libdir}/DrakSync/icons
%{_libdir}/DrakSync/icons/*.xpm
#
%dir %{_libdir}/DrakSync/modules
%{_libdir}/DrakSync/modules/*.py
%{_libdir}/DrakSync/modules/*.pyc
%{_libdir}/DrakSync/modules/*.pyo
# docs
%dir %doc %{_docdir}/DrakSync
%doc %{_docdir}/DrakSync/*
# mdk menus
%{_menudir}/%{name}
# mdk icons
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Thu Mar 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-17mdk
- Requires: rsync >= 2.5.4-2mdk
- Fix upload of ssh identities. Default to RSA1 keys however
- Update expect scripts to match output from rsync 2.5.X

* Thu Feb 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 8.0-16mdk
- rebuild including latest translations

* Mon Sep 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 8.0-15mdk
- rebuild including latest translations

* Fri Sep 14 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-14mdk
- Really include latest translations (update Source0 for date: 20010914)
- Merge and use specfile from CVS

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 8.0-13mdk
- rebuild including latest translations

* Sun Aug 26 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-12mdk
- Clean spec file
- Fixes for better FTP synchronizations
- Can now remember the password for FTP synchronizations
- Add wizard for website synchronizations

* Sun Jun  3 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-11mdk
- cleaned up specfile
- ftp: enabled support for 'MDTM' command and higher precision
- ftp: dump even more error messages to a dialog box

* Thu May 10 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-10mdk
- rebuilt against Python 2.1
- updated BuildRequires
- fixed some misleading translations (fr)
- ftp: dump the error messages to a dialog box

* Wed Apr 25 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-9mdk
- updated requires (expect)
- updated locales (az fi hr id ja no pt_BR)

* Wed Apr 11 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-8mdk
- fixed GNOME menu entry (NO_XALF)
- updated locales (cs da de es hu it zh_CN.GB2312)

* Mon Apr  9 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-7mdk
- i18n updates
- sanitized specfile

* Fri Apr  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-6mdk
- ftp: handles "421: remote server closed the connection"
- ftp: switched to passive mode
- gui: ergonomical improvements
- help: added "Bug report" menu

* Wed Apr  4 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-5mdk
- updated docs and package description for FTP support
- added requires tag for openssh-clients since Rsync/SSH is actually
  the best way to synchronize files over a network (secure/fast/accurate)
- mdktoolbarification

* Tue Apr  3 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-4mdk
- added the ability to rename groups
- added French localization
- fixed potential bugs if neither rsync nor its helper tools (ssh, rsh)
  are installed and a connection following that protocol is requested
- minor visual enhancements and clarifications

* Mon Apr  2 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-3mdk
- ftp support: finally caught exceptions when local/remote directory
  does not exist
- gui: fixed ergonomical bugs (some button locations, popup menu, etc.)
- help: added a link to MandrakeCampus.com and MandrakeExpert.com

* Fri Mar 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-2mdk
- added better-looking icons from the Design team
- fixed po/Makefile po/make-pot so that localized (*.mo) file base names is
  draksync. In short, the package now contains localized files
  (i.e. /usr/share/locale/<lang>/LC_MESSAGES/draksync.mo)

* Fri Mar 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.0-1mdk
- added support for (some) FTP servers
- added some menu shortcuts
- cleaned up code base

* Mon Oct 30 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-23mdk
- Finally got the security fix to work.

* Mon Oct 30 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-22mdk
- Fix for a small probl. emerging from the sec. upd.

* Mon Oct 30 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-21mdk
- security fix not to sen d passwords via cmd-line, because of ps.

* Thu Oct 5 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-20mdk
- Icon-arrow instaed of <->
- Fix for the probl. with HELP_BROWSER containing not only a
  binary-name, but parameters...

* Wed Oct 4 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-20mdk
- New icons from LN

* Tue Oct 3 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-18mdk
- Bugfix for the probl. with not-saved-deletes...

* Tue Oct 3 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-17mdk
- Bugfixes

* Tue Oct 3 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-16mdk
- New fixes to the Makfile to correct some minor probl introduced by
  Pablos changes
- Minor changes to the messages
- A lot of bugfixes

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-15mdk
- Paplos fixes to the po-system included.
- Fixes to a hell lot of annoying bugs..

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-14mdk
- Fix to include gettext in the rpm

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-13mdk
- Added a swedish translation, to see that everything works fine...

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-12mdk
- Gettext internationalization support added. Urk.

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-11mdk
- Added a menu-entry and menu-icons (fake-icons, since I have _yet_
  not recieved any real ones)

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-10mdk
- Added an about-box, as requested...

* Fri Sep 29 2000 Egil Mller <redhog@mandrakesoft.com> 7.2-9mdk
- Added code to make this work even if HELP_BROWSER is not set.

* Wed Sep 27 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-8mdk
- Added installation of the documentation.

* Wed Sep 27 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-7mdk
- Addition of ssh-identity handling and a huge set of UI improvements.

* Tue Sep 26 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-5mdk
- Some smaller fixes, plus name-changes...

* Mon Sep 25 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-4mdk
- Total rework of the GUI, new icons and a hell lot of other changes...

* Mon Aug 24 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> redhog.1-2mdk
- Some UI changes...

* Mon Aug 21 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> redhog.0-3mdk
- Fixes to make rpmlin happy :)

# Local Variables:
# tab-width: 8
# End:
